<?php

namespace domain\Order\OrderStatus;

class OrderStatus
{
    const ALIAS_ORDERED = 'ordered';
    const ALIAS_UPDATED = 'updated';
    const ALIAS_CANCELED = 'canceled';
    const ALIAS_DELETED = 'deleted';

    public string $alias;
    public string $name;

    public function getAlias(): string
    {
        return $this->alias;
    }

    public function setAlias(string $alias): self
    {
        $this->alias = $alias;
        return $this;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;
        return $this;
    }
}